<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class PromocionEmergenteF extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('promociones/franquiciatario/promocionEmergenteF_model');
		$this->load->library(array('session','form_validation'));

	}

	//Acá se muestra la pantalla principal de este modulo (lista de promociones)
	public function index()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
    	$data['Franquicias']=$this->promocionEmergenteF_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$this->db->select('*');
		$this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
		$this->db->join('zona','Zona_IdZona = IdZona','inner');
		$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
		$this->db->where('TipoPromocion_IdTipoPromocion','4');
		$this->db->where('Estatus','ACTIVA');
		$this->db->where('Franquicias_IdFranquicias',$i);
		$data['consulta']=$this->db->get('promociones')->result();	
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/listapromocionEmergenteF_view',$data);
		$this->load->view('layout/footer');
		}
	}

	public function agregar()
	{// Aca se muestra la vista del formularios para agregar una nueva promoción local
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$datos['ReTipoPromocion']=$this->promocionEmergenteF_model->BuscarTipoPromocion();
		$datos['ReCategoria']=$this->promocionEmergenteF_model->BuscarCategoria();
		//$datos['ReZona']=$this->promocionlocalF_model->BuscarZona();
		$datos['ReFranquicia']=$this->promocionEmergenteF_model->BuscarFranquicia();
		$datos['zonaFranquicia']=$this->promocionEmergenteF_model->BuscarZonaFranquicia();
		$this->load->view('promociones/franquiciatario/agregarpromocionEmergenteF_view', $datos);
		$this->load->view('layout/footer');
		}
	}

	public function guardar()
	{ //esta funcion manda los datos capturados en la vista al modelo para que puedan ser guardados en la bd
		/*var_dump($this->input->post('zonaid'));*/
		$parametro['NombrePromocion']= "PE-".$this->input->post('txt_NombrePromocionpro')."   ".$parametro['txt_cantidad']= $this->input->post('txt_cantidad')." SESIONES";
		$parametro['FolioPromocion']="FMAS".$this->input->post('idfranquicia')."PE";
		// .$parametro['txt_idtipopro']= $this->input->post('txt_idtipopro')."".$parametro['txt_cantidad']= $this->input->post('txt_cantidad');
		$parametro['Precio']= $this->input->post('txtnumero_servicios');
		$parametro['DescripcionPromocion']= $this->input->post('txt_DescripcionPromocion');
		$parametro['FechaInicioPromocion']= $this->input->post('txt_fechai');
		$parametro['FechaTerminoPromocion']= $this->input->post('txt_fechaf');
		$parametro['Estatus']= $this->input->post('txt_estatus');
		$parametro['tipopromocion_IdTipoPromocion']= $this->input->post('txt_idtipopro');
		$parametro['categoria_IdCategoria']= $this->input->post('txtcategoria');
		$parametro['zona_IdZona']= $this->input->post('zonaid');
		$parametro['ClasePromocion']= $this->input->post('Clase');
		$parametro['ClasificacionPromocion']= $this->input->post('Clasificacion');
		$parametro['franquicias_IdFranquicias']= $this->input->post('idfranquicia');
		$this->promocionEmergenteF_model->guardar($parametro);
		
		//redirect('promociones/administrador/promocionlocalA');

	}

	//Esta función muestra un formulario con los datos de una promoción que ya ah sido guardada anteriormente para ver su información y asi poder editar los campos requeridos
	public function editar()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlace = $this->promocionEmergenteF_model->obtenerenlace($id);
		if($obtenerenlace != FALSE){
			foreach ($obtenerenlace->result() as $fila) {
				$IdPromociones = $fila->IdPromociones;
				$tipopromocion_IdTipoPromocion = $fila->tipopromocion_IdTipoPromocion;
				$NombrePromocion = $fila->NombrePromocion;
				$categoria_IdCategoria = $fila->categoria_IdCategoria;
				$Precio = $fila->Precio;
				$DescripcionPromocion = $fila->DescripcionPromocion;
				$FechaInicioPromocion = $fila->FechaInicioPromocion;
				$FechaTerminoPromocion=$fila->FechaTerminoPromocion;
				$franquicias_IdFranquicias=$fila->franquicias_IdFranquicias;
				$zona_IdZona=$fila->zona_IdZona;
			}
			$data = array(
				'IdPromociones' => $IdPromociones,
				'tipopromocion_IdTipoPromocion' => $tipopromocion_IdTipoPromocion,
				'NombrePromocion' => $NombrePromocion,
				'categoria_IdCategoria' => $categoria_IdCategoria,
				'Precio' => $Precio,
				'DescripcionPromocion' => $DescripcionPromocion,
				'FechaInicioPromocion' => $FechaInicioPromocion,
				'FechaTerminoPromocion' => $FechaTerminoPromocion,
				'franquicias_IdFranquicias' => $franquicias_IdFranquicias,
				'zona_IdZona' => $zona_IdZona);
			}else{
				$data ='';
				return FALSE;	
		}
		$data['ReCategoria']=$this->promocionEmergenteF_model->BuscarCategoria();
		$data['ReZona']=$this->promocionEmergenteF_model->BuscarZona();
		$data['ReFranquicia']=$this->promocionEmergenteF_model->BuscarFranquicia1();
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/editarpromocionEmergenteF_view', $data);
		$this->load->view('layout/footer');
		}
	}

	//esta función perite buscar un apromoción por medio de su nombre
	public function buscar ()
	{		
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->promocionEmergenteF_model->buscar(trim($query));
			
			if ($result != FALSE){
				$data = array(
					'result' => $result,
				);
			}else  {
				$data = array('result' => '');
			}	
				}else{
			$data = array('result' => '');
		}
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/buscarpromocionEmergenteF_view', $data);
		$this->load->view('layout/footer');
		}
	}


	public function eliminar() 
	{
		 $id= $this->uri->segment(5);
		 $this->promocionlocalF_model->eliminar($id);
	
	}

	public function MostrarZona()
	{
		$options ="";
		$IdFranquicias=$this->input->post('IdFranquicias');
		if($IdFranquicias){
			$this->load->model('promocionEmergenteF_model');
			$zonas=$this->promocionEmergenteA_model->BuscarZona($IdFranquicias);
			foreach ($zonas as $zona) {

				echo "<option value='".$zona['Zona_IdZona']."'>".$zona['NombreZona']."</option>";
			}
		}
		
		}
}